### Virtual Method

# Foundry VcsProvider initialize

since: 1.1

#### Declaration [src]

    DexFuture*
    initialize (
      FoundryVcsProvider* self
    )

#### Description [src]

Initialize a repository for the current project.

The provider should also update the VcsManager to the new Vcs that is created/initialized as part of this.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.